vCenter tests rewrite some default settings

Bug #1623864 reported by Ilya Bumarskov on 2016-09-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel VMware DVS plugin
Critical
Vasily Gorin
Fuel for OpenStack
Critical
Ilya Bumarskov
Mitaka
Critical
Ilya Bumarskov
Newton
Critical
Ilya Bumarskov

Bug Description

When we configure vCenter env by automated tests some new settings (certificates for example) rewrites to empty value. This leads to the incorrect configuration of vmware services.

Changed in fuel:
assignee: nobody → Ilya Bumarskov (ibumarskov)
importance: Undecided → Critical
milestone: none → 9.1
status: New → Confirmed
tags: added: area-qa blocker-for-qa
Ilya Bumarskov (ibumarskov) wrote :
Changed in fuel:
status: Confirmed → In Progress
Vasily Gorin (vgorin) on 2016-09-16
Changed in fuel-plugin-vmware-dvs:
importance: Undecided → Critical
assignee: nobody → Vasily Gorin (vgorin)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/371417

Changed in fuel:
assignee: Ilya Bumarskov (ibumarskov) → Vasily Gorin (vgorin)

Reviewed: https://review.openstack.org/371419
Committed: https://git.openstack.org/cgit/openstack/fuel-qa/commit/?id=c25b2c4ace37f73fc2f4bbbe3a1dc5b63ecb17a0
Submitter: Jenkins
Branch: stable/mitaka

commit c25b2c4ace37f73fc2f4bbbe3a1dc5b63ecb17a0
Author: Vasily Gorin <email address hidden>
Date: Fri Sep 16 13:18:24 2016 +0300

    Add insecure value for vmware configuration.

    We need to set the 'insecure' value to True by default.

    Change-Id: Ic90d1b5eb5959df3636f074ab099a90cd7e5a315
    Closes-Bug: #1623864

tags: added: in-stable-mitaka
Changed in fuel:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/371417
Committed: https://git.openstack.org/cgit/openstack/fuel-qa/commit/?id=44acb7b0800a9690803d64127eaf4ca7318c2ce6
Submitter: Jenkins
Branch: master

commit 44acb7b0800a9690803d64127eaf4ca7318c2ce6
Author: Vasily Gorin <email address hidden>
Date: Fri Sep 16 13:18:24 2016 +0300

    Add insecure value for vmware configuration.

    We need to set the 'insecure' value to True.

    Change-Id: Ic90d1b5eb5959df3636f074ab099a90cd7e5a315
    Closes-Bug: #1623864

Changed in fuel:
assignee: Vasily Gorin (vgorin) → Ilya Bumarskov (ibumarskov)
Ilya Bumarskov (ibumarskov) wrote :

Fix for vCenter tests is on review - https://review.openstack.org/#/c/369263/

Changed in fuel-plugin-vmware-dvs:
status: In Progress → Fix Committed
milestone: none → 3.1.0

Reviewed: https://review.openstack.org/369263
Committed: https://git.openstack.org/cgit/openstack/fuel-qa/commit/?id=fbc83fa059b04457b9510629944a51434886ed45
Submitter: Jenkins
Branch: stable/mitaka

commit fbc83fa059b04457b9510629944a51434886ed45
Author: ibumarskov <email address hidden>
Date: Tue Sep 13 12:00:41 2016 +0300

    Implementation of TC with uploading CA bundle file for vCenter

    Change-Id: I9339801647a7083c6c629a92416ab7f866606e75
    Closes-bug: #1623864
    Blueprint: custom-ca-bundle-verify-vcenter-cert

Fix proposed to branch: master
Review: https://review.openstack.org/374624

Changed in fuel:
status: New → In Progress

Reviewed: https://review.openstack.org/374624
Committed: https://git.openstack.org/cgit/openstack/fuel-qa/commit/?id=f35cbf50f9fa9118d29762096cedf29647804493
Submitter: Jenkins
Branch: master

commit f35cbf50f9fa9118d29762096cedf29647804493
Author: ibumarskov <email address hidden>
Date: Tue Sep 13 12:00:41 2016 +0300

    Implementation of TC with uploading CA bundle file for vCenter

    Change-Id: I9339801647a7083c6c629a92416ab7f866606e75
    Closes-bug: #1623864
    Blueprint: custom-ca-bundle-verify-vcenter-cert
    (cherry picked from commit fbc83fa059b04457b9510629944a51434886ed45)

Vasily Gorin (vgorin) on 2016-09-28
Changed in fuel-plugin-vmware-dvs:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers